export declare type LogLevel = 'debug' | 'info' | 'warn' | 'error';
export declare type LogMethod = (...args: any[]) => any;
export declare type Logger = Record<LogLevel, LogMethod>;
export declare function getLogLevels(level: string): LogLevel[];
export declare function createLogger(f: (level: LogLevel) => LogMethod): Logger;
//# sourceMappingURL=logger.d.ts.map